---
MainSourceFile:  '/home/chr/devel/PhD/Environment/pub/PCBEnv/pcbenv/cxx/UI/BrowserTab.cpp'
Diagnostics:
  - DiagnosticName:  clazy-qt6-header-fixes
    DiagnosticMessage:
      Message:         'including QtWidgets/qactiongroup.h'
      FilePath:        '/usr/include/qt/QtWidgets/qaction.h'
      FileOffset:      7507
      Replacements:
        - FilePath:        '/usr/include/qt/QtWidgets/qaction.h'
          Offset:          7507
          Length:          26
          ReplacementText: '<QtGui/qactiongroup.h>'
    Level:           Warning
    BuildDirectory:  ''
  - DiagnosticName:  clazy-qt6-header-fixes
    DiagnosticMessage:
      Message:         'including QtWidgets/qaction.h'
      FilePath:        '/usr/include/qt/QtWidgets/qactiongroup.h'
      FileOffset:      2019
      Replacements:
        - FilePath:        '/usr/include/qt/QtWidgets/qactiongroup.h'
          Offset:          2019
          Length:          21
          ReplacementText: '<QtGui/qaction.h>'
    Level:           Warning
    BuildDirectory:  ''
  - DiagnosticName:  clazy-qt6-header-fixes
    DiagnosticMessage:
      Message:         'including QtCore/qeventtransition.h'
      FilePath:        '/usr/include/qt/QtWidgets/qkeyeventtransition.h'
      FileOffset:      2033
      Replacements:
        - FilePath:        '/usr/include/qt/QtWidgets/qkeyeventtransition.h'
          Offset:          2033
          Length:          27
          ReplacementText: '<QtStateMachine/qeventtransition.h>'
    Level:           Warning
    BuildDirectory:  ''
  - DiagnosticName:  clazy-qt6-header-fixes
    DiagnosticMessage:
      Message:         'including QtWidgets/qaction.h'
      FilePath:        '/usr/include/qt/QtWidgets/qmenu.h'
      FileOffset:      2089
      Replacements:
        - FilePath:        '/usr/include/qt/QtWidgets/qmenu.h'
          Offset:          2089
          Length:          21
          ReplacementText: '<QtGui/qaction.h>'
    Level:           Warning
    BuildDirectory:  ''
  - DiagnosticName:  clazy-qt6-header-fixes
    DiagnosticMessage:
      Message:         'including QtCore/qeventtransition.h'
      FilePath:        '/usr/include/qt/QtWidgets/qmouseeventtransition.h'
      FileOffset:      2037
      Replacements:
        - FilePath:        '/usr/include/qt/QtWidgets/qmouseeventtransition.h'
          Offset:          2037
          Length:          27
          ReplacementText: '<QtStateMachine/qeventtransition.h>'
    Level:           Warning
    BuildDirectory:  ''
  - DiagnosticName:  clazy-qt6-header-fixes
    DiagnosticMessage:
      Message:         'including QtWidgets/qaction.h'
      FilePath:        '/usr/include/qt/QtWidgets/qtoolbar.h'
      FileOffset:      2025
      Replacements:
        - FilePath:        '/usr/include/qt/QtWidgets/qtoolbar.h'
          Offset:          2025
          Length:          21
          ReplacementText: '<QtGui/qaction.h>'
    Level:           Warning
    BuildDirectory:  ''
  - DiagnosticName:  clazy-qt6-header-fixes
    DiagnosticMessage:
      Message:         'including QtWidgets/qaction.h'
      FilePath:        '/usr/include/qt/QtWidgets/qwidgetaction.h'
      FileOffset:      2021
      Replacements:
        - FilePath:        '/usr/include/qt/QtWidgets/qwidgetaction.h'
          Offset:          2021
          Length:          21
          ReplacementText: '<QtGui/qaction.h>'
    Level:           Warning
    BuildDirectory:  ''
...
